clang 8.0.0

Public Member Functions | List of all members
clang::Sema::PragmaStackSentinelRAII Class Reference

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| PragmaStackSentinelRAII (Sema &S, StringRef SlotLabel, bool ShouldAct)
| ~PragmaStackSentinelRAII ()

## Detailed Description

Definition at line 477 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ PragmaStackSentinelRAII()

Sema::PragmaStackSentinelRAII::PragmaStackSentinelRAII | ( | Sema & | S,
|  | StringRef | SlotLabel,
|  | bool | ShouldAct
| ) |  |

Definition at line 28 of file SemaAttr.cpp.

## ◆ ~PragmaStackSentinelRAII()

Sema::PragmaStackSentinelRAII::~PragmaStackSentinelRAII | ( |  | ) |

Definition at line 41 of file SemaAttr.cpp.

References clang::Sema::BSSSegStack, clang::Sema::CodeSegStack, clang::Sema::ConstSegStack, clang::Sema::DataSegStack, clang::Sema::PSK_Pop, clang::Sema::PragmaStack< ValueType >::SentinelAction(), and clang::Sema::VtorDispStack.

The documentation for this class was generated from the following files:

- include/clang/Sema/Sema.h
- lib/Sema/SemaAttr.cpp